To GitHub we go!

This commit is contained in:
Nicholas George 2022-05-20 23:20:14 -05:00
parent cff84f9f33
commit 7d8bc6f11e
6 changed files with 19 additions and 37 deletions

View File

@ -1,6 +1,3 @@
# MOVED
The git repository has been moved to https://wirlaburla.com/git/Wirlaburla/Worlds-LinuxScript
# Worlds-LinuxScript # Worlds-LinuxScript
Simple Linux wrapper for WorldsPlayer. Simple Linux wrapper for WorldsPlayer.
@ -9,15 +6,15 @@ You don't need to clone this repository. Simply download `worlds-installer.sh` a
``` ```
$ mkdir Worlds $ mkdir Worlds
$ wget https://raw.githubusercontent.com/Vencorr/Worlds-LinuxScript/master/worlds-installer.sh $ wget https://raw.githubusercontent.com/Wirlaburla/Worlds-LinuxScript/master/worlds-installer.sh
$ chmod +x worlds-installer.sh $ chmod +x worlds-installer.sh
$ ./worlds-installer.sh $ ./worlds-installer.sh
``` ```
All worlds content should be in a folder named "Worlds" in the same location your install script resides. A launch script named `launch.sh` should be in it's root. This is the script that you should run. Now you can make a desktop entry pointing to that script and enjoy Worlds. All worlds content should be in a folder named "Worlds" in the same location your install script resides. A launch script named `launch.sh` should be in it's root. This is the script that you should run. Now you can make a desktop entry pointing to that script and enjoy Worlds.
![](https://github.com/Vencorr/Worlds-LinuxScript/blob/master/launcher.png) ![](launcher.png)
![](https://github.com/Vencorr/Worlds-LinuxScript/blob/master/app.png) ![](app.png)
*WorldsPlayer and it's logo is property of Worlds Inc. and all rights belong to them.* *WorldsPlayer and it's logo is property of Worlds Inc. and all rights belong to them.*

BIN
app.png

Binary file not shown.

Before

Width:  |  Height:  |  Size: 427 KiB

After

Width:  |  Height:  |  Size: 310 KiB

BIN
icon.png

Binary file not shown.

Before

Width:  |  Height:  |  Size: 718 B

View File

@ -183,7 +183,7 @@ cache () {
} }
update () { update () {
NEWLAUNCHFILE="https://raw.githubusercontent.com/Vencorr/Worlds-LinuxScript/master/launch.sh" NEWLAUNCHFILE="https://gitlab.com/Vencorr/Worlds-LinuxScript/-/raw/master/launch.sh"
UPDATEFILE="$WORLDSDIR/.update.sh" UPDATEFILE="$WORLDSDIR/.update.sh"
touch "$UPDATEFILE" touch "$UPDATEFILE"
echo "wget -N -O\"$WORLDSDIR/launch.sh\" \"$NEWLAUNCHFILE\"" >> "$UPDATEFILE" echo "wget -N -O\"$WORLDSDIR/launch.sh\" \"$NEWLAUNCHFILE\"" >> "$UPDATEFILE"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 28 KiB

After

Width:  |  Height:  |  Size: 24 KiB

View File

@ -9,15 +9,17 @@ export INSTALLER="$WORLDSDIR/WorldsInstaller.exe"
export WINE=$(which wine) export WINE=$(which wine)
export WINETRICKSINSTALL="win7 corefonts droid ddr=gdi devenum wmp9 dmsynth wmv9vcm directplay quartz ie8 mimeassoc=off" export WINETRICKSINSTALL="win7 droid renderer=gdi glsl=disabled devenum wmp9 dmsynth wmv9vcm directplay quartz ie8 mimeassoc=off"
start () { start () {
errorcheck errorcheck
zenity --info --title="$WTITLE Installer" --text 'Welcome to the Worlds Linux setup installer maintained by Wirlaburla. This will setup and install Worlds for use on Linux systems through WINE.' --width=320 --ok-label="Next" zenity --info --title="$WTITLE Installer" --text 'Welcome to the Worlds Linux setup installer maintained by Wirlaburla. This will setup and install Worlds for use on Linux systems through WINE.' --width=320 --ok-label="Next"
zenity --info --title="$WTITLE Installer" --text 'NOTE: This wrapper has been known to become unreliable and may not work. Worlds is finnicky with WINE and may take manual tinkering to function.' --width=320 --ok-label="Next"
settings settings
} }
errorcheck () { errorcheck () {
wine --version >> /dev/null || { zenity --error --title="$WTITLE Installer - Error" --text "Wine wasn't found! Please install it before continuing" --width=320 ; exit 1; }
winetricks --help >> /dev/null || { zenity --error --title="$WTITLE Installer - Error" --text "Winetricks wasn't found! Please install it before continuing" --width=320 ; exit 1; } winetricks --help >> /dev/null || { zenity --error --title="$WTITLE Installer - Error" --text "Winetricks wasn't found! Please install it before continuing" --width=320 ; exit 1; }
wget --help >> /dev/null || { zenity --error --title="$WTITLE Installer - Error" --text "Wget wasn't found! Please install it before continuing" --width=320 ; exit 1; } wget --help >> /dev/null || { zenity --error --title="$WTITLE Installer - Error" --text "Wget wasn't found! Please install it before continuing" --width=320 ; exit 1; }
} }
@ -60,7 +62,7 @@ settings () {
settings ;; settings ;;
'Worlds Version') 'Worlds Version')
WORVERSEL=$(zenity --list --radiolist --title="$WTITLE - Worlds Version" --text="Version of Worlds to install" --column='Use' --column='worldsver' --hide-header --width=100 --height=240 \ WORVERSEL=$(zenity --list --radiolist --title="$WTITLE - Worlds Version" --text="Version of Worlds to install" --column='Use' --column='worldsver' --hide-header --width=100 --height=240 \
TRUE '1922' \ TRUE '1922a10' \
FALSE '1920' \ FALSE '1920' \
FALSE '1900' \ FALSE '1900' \
FALSE 'Custom') FALSE 'Custom')
@ -91,12 +93,8 @@ work () {
if [[ ! $? -eq 1 ]]; then if [[ ! $? -eq 1 ]]; then
java java
fi fi
elif [[ "$WORLDSVER" -eq '1922' ]]; then else
download1922 downloadVersion "$WORLDSVER"
elif [[ "$WORLDSVER" -eq '1920' ]]; then
download1920
elif [[ "$WORLDSVER" -eq '1900' ]]; then
download1900
fi fi
tricks tricks
codec codec
@ -106,26 +104,13 @@ work () {
zenity --info --title="$WTITLE" --text="Worlds for Linux Wrapper has been setup and installed. You can now launch Worlds via the launch.sh script available at '$WORLDSDIR'." --width=340 --height=180 zenity --info --title="$WTITLE" --text="Worlds for Linux Wrapper has been setup and installed. You can now launch Worlds via the launch.sh script available at '$WORLDSDIR'." --width=340 --height=180
} }
download1922 () { downloadVersion () {
local ver="$1"
export WORLDSINSTALL="$WINEPREFIX/drive_c/Program Files/Worlds Inc/WorldsPlayer - Win7" export WORLDSINSTALL="$WINEPREFIX/drive_c/Program Files/Worlds Inc/WorldsPlayer - Win7"
wget -O$INSTALLER "http://cache.worlds.com/test/WorldsPlayerWin7-1922a10.exe" 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Downloading at \2\/s, ETA \3/' | zenity --progress --title="$WTITLE - Worlds $WORLDSVER" --text="Starting Download.." --width=300 --height=50 --auto-close --auto-kill wget -O$INSTALLER "https://files.worlio.com/files/WorldsPlayer/software/Worlds$ver.exe" 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Downloading at \2\/s, ETA \3/' | zenity --progress --title="$WTITLE - Worlds $ver" --text="Starting Download.." --width=300 --height=50 --auto-close --auto-kill
} if [[ ! $ver -eq "1922a10" ]]; then
java
download1920 () { fi
export WORLDSINSTALL="$WINEPREFIX/drive_c/Program Files/Worlds.com/WorldsPlayer - Win7"
wget -O$INSTALLER "https://wirlaburla.com/library/WorldsPlayer/Software/Worlds1920.exe" 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Downloading at \2\/s, ETA \3/' | zenity --progress --title="$WTITLE - Worlds $WORLDSVER" --text="Starting Download.." --width=300 --height=50 --auto-close --auto-kill
}
download1900 () {
export WORLDSINSTALL="$WINEPREFIX/drive_c/Program Files/Worlds/WorldsPlayer by Worlds.com"
wget -O$INSTALLER "https://wirlaburla.com/library/WorldsPlayer/Software/Worlds1900.exe" 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Downloading at \2\/s, ETA \3/' | zenity --progress --title="$WTITLE - Worlds $WORLDSVER" --text="Starting Download..." --width=300 --height=50 --auto-close --auto-kill
java
}
download1890 () {
export WORLDSINSTALL="$WINEPREFIX/drive_c/Program Files/Worlds/WorldsPlayer by Worlds.com"
wget -O$INSTALLER "https://wirlaburla.com/library/WorldsPlayer/Software/Worlds1890.exe" 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Downloading at \2\/s, ETA \3/' | zenity --progress --title="$WTITLE - Worlds $WORLDSVER" --text="Starting Download..." --width=300 --height=50 --auto-close --auto-kill
java
} }
java () { java () {
@ -147,8 +132,8 @@ worlds () {
} }
launchscript () { launchscript () {
wget -O"$WORLDSDIR/launch.sh" "https://raw.githubusercontent.com/Vencorr/Worlds-LinuxScript/master/launch.sh" wget -O"$WORLDSDIR/launch.sh" "https://github.com/Wirlaburla/Worlds-LinuxScript/blob/master/launch.sh"
wget -O"$WORLDSDIR/icon.png" "https://raw.githubusercontent.com/Vencorr/Worlds-LinuxScript/master/icon.png" wget -qO- "http://www.worlds.net/favicon.ico" | convert - "$WORLDSDIR/icon.png"
rm "$WORLDSDIR/wrldslinux" rm "$WORLDSDIR/wrldslinux"
echo "# Configuration for Worlds on Linux." > "$WORLDSDIR/wrldslinux" echo "# Configuration for Worlds on Linux." > "$WORLDSDIR/wrldslinux"
echo "export WINE=\"$WINE\"" >> "$WORLDSDIR/wrldslinux" echo "export WINE=\"$WINE\"" >> "$WORLDSDIR/wrldslinux"
@ -162,7 +147,7 @@ launchscript () {
} }
menufile () { menufile () {
wget -O"$WORLDSDIR/worlds.desktop" "https://raw.githubusercontent.com/Vencorr/Worlds-LinuxScript/master/worlds.desktop" wget -O"$WORLDSDIR/worlds.desktop" "https://github.com/Wirlaburla/Worlds-LinuxScript/blob/master/worlds.desktop"
echo "" > "$HOME/.local/share/applications/worlds.desktop" #Making sure the file is clear. echo "" > "$HOME/.local/share/applications/worlds.desktop" #Making sure the file is clear.
while read line while read line
do do